// pages/member/member.ts
import { getPayInfo } from '../../apis/pay'
const app = getApp<IAppOption>()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    info: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.getInfo()
  },
  getInfo() {
    getPayInfo({}).then((res:any) => {
      this.setData({
        info: res.d
      })
    })
  },
  buy() {
    app.pay('ANNUAL_FEE').then(() => {
      app.getUserInfo().then(() => {
        wx.showToast({
          icon: 'none',
          title: '支付成功!'
        })
        wx.navigateBack({
          delta: 1
        })
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})