// pages/personal/personal.ts
const app = getApp<IAppOption>()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: app.globalData.userInfo
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    this.setData({
      userInfo: app.globalData.userInfo
    })
  },

  jumpQuestion() {
    wx.navigateTo({
      url: "/pages/question/question"
    })
  },
  jumpPrivacy() {
    wx.navigateTo({
      url: "/pages/privacy/privacy"
    })
  },
  jumpAgreement() {
    wx.navigateTo({
      url: "/pages/agreement/agreement"
    })
  },
  jumpErrata() {
    wx.navigateTo({
      url: "/pages/errataRecords/errataRecords"
    })
  },
  buyMember() {
    wx.navigateTo({
      url: "/pages/member/member"
    })
  },
  vipDetail(){
    wx.navigateTo({
      url:"/pages/memberPreview/memberPreview"
    })
  },
  logout(){
    wx.navigateTo({
      url:'/pages/login/login'
    })
    // wx.removeStorageSync('Authorization')
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})

export { }
