/// <reference path="./types/index.d.ts" />

interface UserInfo {
  phoneNumber: String,
  username: String,
  status: String,
  name: String,
  idCard: String
}

interface IAppOption {
  globalData: {
    userInfo?: WechatMiniprogram.UserInfo & UserInfo,
    openId?: string,
    unionId?: string,
    ready?: Boolean,
    smsCode?: string,
  },
  userInfoReadyCallback?: WechatMiniprogram.GetUserInfoSuccessCallback,
  getUserInfo: Function,
  reload: Function,
  certificationVerify: Function,
  memberVerify: Function,
  pay: Function,
  login: Function
}